.dialog {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 99999;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 300ms ease;
    opacity: 0;
    width: 100%;
    height: 100vh;
    font-family: 'Inter', sans-serif;
}

.dialog.open {
    opacity: 1;
    visibility: visible;
    padding: 20px 0;
    overflow: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.dialog-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    left: 0;
    top: 0;
    z-index: 0;
}

.dialog-window {
    animation: dialog-opening cubic-bezier(0.3, 0.46, 0.45, 0.94) .5s;
    background-color: white;
    border-radius: 0.5rem; 
    padding: 2rem;    
    max-width: 24rem;    
    width: 100%;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
                0 4px 6px -4px rgba(0, 0, 0, 0.1);
    position: relative;
    transform: scale(1);
    transform-origin: top center;
    z-index: 1;
    display: flex;
    flex-direction: column;
    margin: auto 20px;
}

.dialog-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 0.75rem;
    text-align: center;
}

.dialog-close {
    position: absolute;
    right: 0;
    top: 0;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #64748b;
    font-size: 1.25rem; 
    transition: color 0.2s ease;
    cursor: pointer;
}

.dialog-close:hover {
    color: #1e293b;
}

.dialog-footer {
    margin-top: auto;
    display: grid;
    grid-auto-flow: column;
    grid-gap: 10px;
}

@keyframes dialog-opening {
    0% {
        transform: scale(0.8)
    }

    100% {
        transform: scale(1)
    }
}
